#include <cstdio>

#define BASE (1 << 20)

int tree[2 * BASE];

void build(int n) {
	for (int i = 0; i < n; i++)
		tree[BASE + i] = 1;

	for (int i = BASE - 1; i > 0; i--)
		tree[i] = tree[2 * i] + tree[2 * i + 1];
}

int get(int k) {
	int v = 1;
	while (v < BASE) {
		if (k <= tree[2 * v]) {
			v = 2 * v;
		}
		else {
			k -= tree[2 * v];
			v = 2 * v + 1;
		}
	}
	return v - BASE + 1;
}

void del(int v) {
	v += BASE - 1;
	for (; v > 0; v /= 2)
		tree[v]--;
}

int main() {
	int n;
	scanf("%d", &n);
	build(n);

	int c = 1;
	for (; n > 0; n--) {
		int a;
		scanf("%d", &a);
		c = (c + a - 1) % n + 1;
		int g = get(c);
		printf("%d ", g);
		del(g);
	}
}
